Bug 814021 - [Doc]There is one typo "virsh list --note" in virsh list manual
Summary: [Doc]There is one typo "virsh list --note" in virsh list manual
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt
Version: 6.3
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Peter Krempa
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-19 03:14 UTC by hongming
Modified: 2012-06-20 06:54 UTC (History)
9 users (show)

Fixed In Version: libvirt-0.9.10-15.el6
Doc Type: Bug Fix
Doc Text:
No Documentation needed
Clone Of:
Environment:
Last Closed: 2012-06-20 06:54:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0748 0 normal SHIPPED_LIVE Low: libvirt security, bug fix, and enhancement update 2012-06-19 19:31:38 UTC

Description hongming 2012-04-19 03:14:18 UTC
Description of problem:
There is one typo "virsh list --note" in virsh list manual.


Version-Release number of selected component (if applicable):
libvirt-0.9.10-11.el6.x86_64

How reproducible:
100%


Steps to Reproduce:
1.#man virsh

If --title is specified, then the domain note is printed. The output
then the output looks as follows. This flag is usable only with the
default --table output.

virsh list --note
Id Name State Title
-----------------------------------------------
0 Domain-0 running Mailserver 1
2 fedora paused


2.# virsh list --note
error: command 'list' doesn't support option --note

  
Actual results:
Command 'list' doesn't support option --note

Expected results:
"virsh list --note " be revised as "virsh list --title".

Additional info:

Comment 1 Alex Jia 2012-04-19 03:30:29 UTC
Patch for upstream:

commit c4c68b0025243eb7de39153ab97c1223f5e7ef7e
Author: Peter Krempa <pkrempa@redhat.com>
Date:   Tue Feb 21 15:05:49 2012 +0100

    virsh: Fix docs for list command
    
    Commit fad5cd210899dfde4afe36712754dc921c3f3051 introduced option to
    display domain's title in the list command output. There was a mistake
    in the virsh man page example for this command stating --note instead of
    --title.

Comment 3 Peter Krempa 2012-04-19 08:43:58 UTC
Well, apart from that, the whole paragraph decribing the --title option sounds awkward. I'll post a patch to fix that.

Comment 4 Peter Krempa 2012-04-19 12:44:16 UTC
I clarified and made the paragraph above the example a little more understandable:

commit b83d76d40e1c5ffcbf6e1908fc86e4a650a1e9d3
Author: Peter Krempa <pkrempa@redhat.com>
Date:   Thu Apr 19 10:33:05 2012 +0200

    virsh: Fix and clarify the --title flag for the list command in man page

Comment 11 Huang Wenlong 2012-05-02 05:50:49 UTC
Verify this bug :
libvirt-0.9.10-15.el6.x86_64

there is not "--note" in virsh manual 

#man virsh 

  list [--inactive | --all] [--managed-save] [--title] { [--table] | --name | --uuid } [--persistent] [--transient]
           Prints information about existing domains.  If no options are specified it prints out information about running domains.



# virsh help list
  NAME
    list - list domains

  SYNOPSIS
    list [--inactive] [--all] [--transient] [--persistent] [--uuid] [--name] [--table] [--managed-save] [--title]

  DESCRIPTION
    Returns list of domains.

  OPTIONS
    --inactive       list inactive domains
    --all            list inactive & active domains
    --transient      list transient domains
    --persistent     list persistent domains
    --uuid           list uuid's only
    --name           list domain names only
    --table          list table (default)
    --managed-save   mark domains with managed save state
    --title          show short domain description

Comment 12 Peter Krempa 2012-05-02 09:48:49 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
No Documentation needed

Comment 14 errata-xmlrpc 2012-06-20 06:54:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0748.html


Note You need to log in before you can comment on or make changes to this bug.